View Issue Details

IDProjectCategoryView StatusLast Update
0000274JamochaMUDMain Programpublic2015-08-30 22:30
Reporterpen-helmAssigned Tojeffnik 
PrioritylowSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformMacOSOS XOS Version10.10.5
Product Version 
Target VersionFixed in Version5.11 
Summary0000274: does not save settings
DescriptionEvery time I launch, it says, the settings file is not found... would you like to create one? I have tried repeatedly to create and save settings.
Steps To ReproduceLaunch program. Tell it to create a settings file. Launch again.
Additional InformationIt happens for both .jar versions available at:

http://www.jamochamud.org/jar/?M=D

It does save the name of my talker, but not my username or font settings.
TagsNo tags attached.

Activities

jeffnik

2015-08-28 01:55

administrator   ~0000230

There appears to be a crash writing out the custom colour palette. This appears to stop JamochaMUD from terminating properly and writing out the full settings file.

jeffnik

2015-08-30 22:30

administrator   ~0000231

An error in writing out custom colour palettes caused JamochaMUD to write incomplete settings files. An additional check was added to avoid this issue.

Issue History

Date Modified Username Field Change
2015-08-27 23:27 pen-helm New Issue
2015-08-27 23:27 pen-helm Status new => assigned
2015-08-27 23:27 pen-helm Assigned To => jeffnik
2015-08-28 01:55 jeffnik Note Added: 0000230
2015-08-28 01:55 jeffnik Status assigned => confirmed
2015-08-30 22:30 jeffnik Note Added: 0000231
2015-08-30 22:30 jeffnik Status confirmed => resolved
2015-08-30 22:30 jeffnik Fixed in Version => 5.11
2015-08-30 22:30 jeffnik Resolution open => fixed